[arch-commits] Commit in (5 files)

Ronald van Haren ronald at archlinux.org
Thu Apr 2 15:18:19 EDT 2009


    Date: Thursday, April 2, 2009 @ 15:18:18
  Author: ronald
Revision: 32917

add graphicsmagick as koffice 2 dep

Added:
  graphicsmagick/
  graphicsmagick/repos/
  graphicsmagick/trunk/
  graphicsmagick/trunk/PKGBUILD
Modified:
  koffice-doc/trunk/PKGBUILD

-------------------------------+
 graphicsmagick/trunk/PKGBUILD |   31 ++++++++++++++++++++++++++
 koffice-doc/trunk/PKGBUILD    |   46 ++++++++++++++++++----------------------
 2 files changed, 52 insertions(+), 25 deletions(-)

Added: graphicsmagick/trunk/PKGBUILD
===================================================================
--- graphicsmagick/trunk/PKGBUILD	                        (rev 0)
+++ graphicsmagick/trunk/PKGBUILD	2009-04-02 19:18:18 UTC (rev 32917)
@@ -0,0 +1,31 @@
+# $Id: PKGBUILD,v 1.7 2009/02/15 19:27:16 ronald Exp $
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Jaroslav Lichtblau <dragonlord at aur.archlinux.org>
+
+pkgname=graphicsmagick
+pkgver=1.3.5
+pkgrel=2
+pkgdesc="Image processing system"
+arch=('i686' 'x86_64')
+url="http://www.graphicsmagick.org/"
+license=('MIT')
+depends=('bzip2' 'freetype2' 'ghostscript' 'jasper' 'lcms' 'libsm' 
+	'libtiff' 'libwmf' 'libxml2' 'libtool')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/$pkgname/GraphicsMagick-$pkgver.tar.bz2)
+md5sums=('695d94588437ef3a12b971d7ab672d8f')
+
+build() {
+  cd "${srcdir}/GraphicsMagick-$pkgver"
+
+  ./configure --prefix=/usr --enable-shared
+  make || return 1
+  make DESTDIR="${pkgdir}" install
+
+  # Install MIT license
+  install -Dm644 "Copyright.txt" "${pkgdir}/usr/share/licenses/$pkgname/Copyright.txt" || return 1
+
+  # Remove perllocal.pod and .packlist
+  find "${pkgdir}" -name perllocal.pod -delete
+  find "${pkgdir}" -name .packlist -delete
+}

Modified: koffice-doc/trunk/PKGBUILD
===================================================================
--- koffice-doc/trunk/PKGBUILD	2009-04-02 18:36:29 UTC (rev 32916)
+++ koffice-doc/trunk/PKGBUILD	2009-04-02 19:18:18 UTC (rev 32917)
@@ -1,30 +1,26 @@
 # $Id$
-# Maintainer: Alexander Baldeck <alexander at archlinux.org>
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Pierre Schmitz <pierre at archlinux.de>
+
 pkgname=koffice-doc
-pkgver=1.6.3
-stable=stable # stable|unstable
-pkgrel=2
-pkgdesc="Documentation for Koffice"
-license=('GPL')
-arch=(i686 x86_64)
-url="http://www.koffice.org"
-depends=('koffice>=1.6.3')
-makedepends=('pkgconfig')
-source=(http://download.kde.org/stable/koffice-${pkgver}/src/koffice-${pkgver}.tar.bz2)
+pkgver=1.9.99.0
+pkgrel=1
+pkgdesc="Documentation for koffice"
+arch=('i686' 'x86_64')
+url='http://koffice.kde.org'
+license=('GPL' 'LGPL' 'FDL')
+depends=('koffice')
+makedepends=('pkgconfig' 'cmake' 'automoc4' 'boost' 'eigen')
+source=("http://download.kde.org/unstable/koffice-${pkgver}/src/koffice-${pkgver}.tar.bz2")
+md5sums=('46dcbdda79c6a9aa645d1d473c8d2046')
 
 build() {
-  # Source the QT and KDE profile
-  [ "$QTDIR" = "" ] && source /etc/profile.d/qt.sh
-  [ "$KDEDIR" = "" ] && source /etc/profile.d/kde.sh
-
-  cd ${startdir}/src/koffice-${pkgver}
-
-  ./configure --prefix=/opt/kde --enable-new-ldflags --disable-debug
- 
-  cd doc
-  make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
-  rm -rf ${startdir}/pkg/opt/kde/share/applications
+	cd ${srcdir}
+	mkdir build
+	cd build
+	cmake ../koffice-${pkgver}/doc \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_PREFIX=/usr
+	make || return 1
+	make DESTDIR=${pkgdir} install
 }
-md5sums=('386d388094734f9759977c3267098e30')
-



More information about the arch-commits mailing list